Package org.codehaus.groovy.antlr

## Class ASTParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.SyntaxException
        - - org.codehaus.groovy.syntax.TokenException
          - - org.codehaus.groovy.syntax.ParserException
            - - org.codehaus.groovy.antlr.ASTParserException

- All Implemented Interfaces:
    `Serializable`, `GroovyExceptionInterface`

      @Deprecated
      public class ASTParserException
      extends ParserException

  Deprecated.
  Thrown when trying to parse the AST
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ASTParserException​(String message, ASTRuntimeException e)` | Deprecated.
    `ASTParserException​(ASTRuntimeException e)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AST` | `getAst()` | Deprecated.

    - ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

      `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

    - ### Methods inherited from class org.codehaus.groovy.GroovyException

      `isFatal, setFatal`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTParserException

          public ASTParserException​(ASTRuntimeException e)

      Deprecated.

    - #### ASTParserException

          public ASTParserException​(String message,
                                    ASTRuntimeException e)

      Deprecated.

  - ### Method Detail

    - #### getAst

          public AST getAst()

      Deprecated.